package com.yonge.cooleshow.auth.api.enums;

import com.yonge.toolset.base.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2021/1/6 0006
 **/
public enum CertificateTypeEnum implements BaseEnum<String, CertificateTypeEnum> {

    IDENTITY("IDENTITY", "身份证"),
    HK_MAC("HK_MAC", "港澳居民往来内地通行证"),
    TAIWAN("TAIWAN", "台湾居民往来内地通行证"),
    FOREIGN_PASSPORT("FOREIGN_PASSPORT", "外国护照");

    private String code;

    private String msg;

    CertificateTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
